using System;

namespace wf.ui
{
	public abstract class AbstractSliderWrapper<T>
	{
		public abstract T slider { get; }

		public abstract float srcValueToSliderValue { get; }

		public virtual void Initialize(T setSlider)
		{
			this.slider_ = setSlider;
		}

		public abstract void UpdateSlider();

		protected abstract void OnChangeSliderValue();

		public Action<AbstractSliderWrapper<T>> onChangeSliderValue;

		protected T slider_;
	}
}
